-------------------------------------------
--- Author: Ketho (EU-Boulderfist)		---
--- License: Public Domain				---
--- Created: 2011.11.17					---
--- Version: 0.6 [2012.08.28]			---
-------------------------------------------
--- Curse			http://www.curse.com/addons/wow/showraidframe
--- WoWInterface	http://www.wowinterface.com/downloads/info20511-ShowRaidFrame.html

local t = {
	Blizzard_CompactRaidFrames = true,
	Blizzard_CUFProfiles = true,
}

-- Thou shalt not hard disable the Raid Frames
hooksecurefunc("DisableAddOn", function(addon)
	if t[addon] then
		EnableAddOn(addon)
	end
end)

-- So It Has Come To This
if not IsAddOnLoaded("Blizzard_CompactRaidFrames") then
	for k in pairs(t) do
		EnableAddOn(k)
	end
	
	local old = SetItemRef
	
	function SetItemRef(...)
		local link = ...
		if link == "reload" then
			ReloadUI()
		else
			old(...)
		end
	end
	
	print("|cff33FF99ShowRaidFrame:|r Requires |cffFF8040|Hreload|h[Reload]|h|r")
	return
end

local noop = function() end

-- Thou shalt not hide the Raid Frames
for _, v in ipairs({CompactRaidFrameManager, CompactRaidFrameContainer}) do
	v.UnregisterAllEvents = noop
	v.UnregisterEvent = noop
	v.Hide = noop
	v:Show()
end

-- sets the USE_RAID_STYLE_PARTY_FRAMES CVar
SetCVar("useCompactPartyFrames", 1)

-- maybe not lock checkbox option
-- we don't want party frames to show up since we can't hide the raid frames now, hough
--CompactUnitFrameProfilesRaidStylePartyFrames:Disable()
